Altibase.jdbc.driver.sharding.executor

## Class PreparedStatementExecutor

- java.lang.Object
- - Altibase.jdbc.driver.sharding.executor.PreparedStatementExecutor

    public class PreparedStatementExecutor
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PreparedStatementExecutor(ExecutorEngine aExecutorEngine)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `execute(java.util.List<java.sql.Statement> aStatements)`
`java.util.List<java.sql.ResultSet>` `executeQuery(java.util.List<java.sql.Statement> aStatements)`
`int` `executeUpdate(java.util.List<java.sql.Statement> aStatements)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreparedStatementExecutor

    public PreparedStatementExecutor(ExecutorEngine aExecutorEngine)

### Method Detail

#### executeQuery

    public java.util.List<java.sql.ResultSet> executeQuery(java.util.List<java.sql.Statement> aStatements)
                                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.util.List<java.sql.Statement> aStatements)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.util.List<java.sql.Statement> aStatements)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`